#pragma	  once

enum TextType
{
	eText_Number				= 0,
	eText_Miss,
	eText_Parry,
	eText_Dodge
};

class CTextSprite : public IBaseSprite
{
public:
	CTextSprite();
	virtual ~CTextSprite();

	virtual	void					Update( float elapsedTime );	
	virtual void					Render();
	virtual	void					ReceiveDestruct( IBaseSprite* pSprite );	
	virtual	void					MotionEvent( int type );

	virtual void					SetText( TextType type, int value, float scale, int color );
	virtual	void					SetDelatTime( float delta )					{ m_delta = delta; }
	virtual bool					LoadTexture( const char* resourceName );
	//virtual void					MoveType();

protected:
	IRuTexture*						m_pRuTexture;				// 特殊字形貼圖
	CRuEntity_Widget_Label*			m_pRuWidget;				// 3D文字物件
	float							m_delta;
};